Sazabi
APIWebhooks

Enable a webhook endpoint

Re-enable an endpoint disabled after delivery failures. Enabling an endpoint that is already active succeeds.

POST https://api.sazabi.com/v1/webhooks/{webhookId}/enable

POST
/webhooks/{webhookId}/enable

Path Parameters

webhookId*string

Webhook endpoint to enable.

Formatuuid

Response Body

application/json

curl -X POST "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/enable"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "url": "http://example.com",  "status": "active",  "authHeaderName": "string",  "signingSecretRotatedAt": "2019-08-24T14:15:22Z",  "consecutiveFailures": 0,  "disabledAt": "2019-08-24T14:15:22Z",  "disabledReason": "string",  "createdAt": "2019-08-24T14:15:22Z"}